
package net.northking.cctp.upperComputer.deviceManager.entity;

import com.google.gson.annotations.SerializedName;

import java.util.List;

@SuppressWarnings("unused")
public class Entitlements {

    @SerializedName("application-identifier")
    private String applicationIdentifier;
    @SerializedName("aps-environment")
    private String apsEnvironment;
    @SerializedName("com.apple.developer.associated-domains")
    private List<String> comAppleDeveloperAssociatedDomains;
    @SerializedName("com.apple.developer.networking.multicast")
    private Boolean comAppleDeveloperNetworkingMulticast;
    @SerializedName("com.apple.developer.siri")
    private Boolean comAppleDeveloperSiri;
    @SerializedName("com.apple.developer.usernotifications.communication")
    private Boolean comAppleDeveloperUsernotificationsCommunication;
    @SerializedName("com.apple.security.application-groups")
    private List<String> comAppleSecurityApplicationGroups;
    @SerializedName("keychain-access-groups")
    private List<String> keychainAccessGroups;

    public String getApplicationIdentifier() {
        return applicationIdentifier;
    }

    public void setApplicationIdentifier(String applicationIdentifier) {
        this.applicationIdentifier = applicationIdentifier;
    }

    public String getApsEnvironment() {
        return apsEnvironment;
    }

    public void setApsEnvironment(String apsEnvironment) {
        this.apsEnvironment = apsEnvironment;
    }

    public List<String> getComAppleDeveloperAssociatedDomains() {
        return comAppleDeveloperAssociatedDomains;
    }

    public void setComAppleDeveloperAssociatedDomains(List<String> comAppleDeveloperAssociatedDomains) {
        this.comAppleDeveloperAssociatedDomains = comAppleDeveloperAssociatedDomains;
    }

    public Boolean getComAppleDeveloperNetworkingMulticast() {
        return comAppleDeveloperNetworkingMulticast;
    }

    public void setComAppleDeveloperNetworkingMulticast(Boolean comAppleDeveloperNetworkingMulticast) {
        this.comAppleDeveloperNetworkingMulticast = comAppleDeveloperNetworkingMulticast;
    }

    public Boolean getComAppleDeveloperSiri() {
        return comAppleDeveloperSiri;
    }

    public void setComAppleDeveloperSiri(Boolean comAppleDeveloperSiri) {
        this.comAppleDeveloperSiri = comAppleDeveloperSiri;
    }

    public Boolean getComAppleDeveloperUsernotificationsCommunication() {
        return comAppleDeveloperUsernotificationsCommunication;
    }

    public void setComAppleDeveloperUsernotificationsCommunication(Boolean comAppleDeveloperUsernotificationsCommunication) {
        this.comAppleDeveloperUsernotificationsCommunication = comAppleDeveloperUsernotificationsCommunication;
    }

    public List<String> getComAppleSecurityApplicationGroups() {
        return comAppleSecurityApplicationGroups;
    }

    public void setComAppleSecurityApplicationGroups(List<String> comAppleSecurityApplicationGroups) {
        this.comAppleSecurityApplicationGroups = comAppleSecurityApplicationGroups;
    }

    public List<String> getKeychainAccessGroups() {
        return keychainAccessGroups;
    }

    public void setKeychainAccessGroups(List<String> keychainAccessGroups) {
        this.keychainAccessGroups = keychainAccessGroups;
    }

}
